<%@include file="/WEB-INF/common/layouts/common.jsp" %>
<%@ page language="java" pageEncoding="UTF-8" %>
<html>
<head>
    <title>项目日报-城市部门配置列表</title>
</head>
<body>

<!-- 面包屑 begin -->
<div class="row-fluid">
    <div class="span12">
        <ul class="breadcrumb">
            <li class="active"><span class="divider" style="color:#26a0da;font-weight:bold;">/</span>项目日报-城市部门配置列表</li>
        </ul>
    </div>
</div>
<!-- 面包屑 begin -->
<house365:flushMessage/>

<div class="page-container">
    <div class="row${fluid}">
        <div class="span12">
            <div class="buttons pull-right" style="margin-left:15px;">
                <a href="${ctx}/citydepconfig?action=create" class="btn blue pull-right" title="新增"><i
                        class="icon-plus"></i></a>
            </div>
            <div class="buttons pull-right">
                <a href="javascript:void(0);" onclick="deleteById('')" class="btn blue pull-right" title="删除"><i
                        class="icon-minus"></i></a>
            </div>
        </div>
    </div>
    <table class="table table-striped table-advance table-hover">
        <thead>
        <tr>
            <th width="40" style="text-align:center">
                <input id="memberCheckAll" type="checkbox" onclick="checkAll(this)"/>
            </th>
            <th width="100">id</th>
            <th width="100">城市</th>
            <th width="100">部门</th>
            <th width="150">操作</th>
        </tr>
        </thead>
        <c:forEach items="${cityDepConfigs}" var="cityDepConfig">
            <tr>
                <td nowrap="nowrap" style="text-align:center">
                    <input type="checkbox" name="memberCheck" value="${cityDepConfig.id}" onclick="checkMember(this)"/>
                </td>
                <td nowrap="nowrap">
                    <a href="${ctx}/citydepconfig/${cityDepConfig.id}"> <c:if
                            test="${null ne cityDepConfig.id && '' ne cityDepConfig.id}">
                        <c:out value="${cityDepConfig.id}"/>
                    </c:if>
                        <c:if test="${null eq cityDepConfig.id || '' eq cityDepConfig.id}">
                            &nbsp;
                        </c:if>
                    </a>
                </td>
                <td nowrap="nowrap">
                    <c:if test="${null ne cityDepConfig.city && '' ne cityDepConfig.city}">
                        <c:out value="${cityDepConfig.city}"/>
                    </c:if>
                    <c:if test="${null eq cityDepConfig.city || '' eq cityDepConfig.city}">
                        &nbsp;
                    </c:if>
                </td>
                <td nowrap="nowrap">
                    <c:if test="${null ne cityDepConfig.dept && '' ne cityDepConfig.dept}">
                        <c:out value="${cityDepConfig.dept}"/>
                    </c:if>
                    <c:if test="${null eq cityDepConfig.dept || '' eq cityDepConfig.dept}">
                        &nbsp;
                    </c:if>
                </td>
                <td nowrap="nowrap">
                    <i class="icon-edit pointer icon-large"
                       onclick="window.location='${ctx}/citydepconfig/${cityDepConfig.id}?action=edit'"></i>
                    &nbsp;&nbsp; <i
                        title="删除"
                        class="icon-minus pointer icon-large"
                        onclick="deleteById('${cityDepConfig.id}')"> </i>
                </td>
            </tr>
        </c:forEach>
    </table>
    <div class="row${fluid}">
        <house365:pagination page="${page}"/>
    </div>
</div>
<script type="text/javascript">

    //全选
    function checkAll(btn) {
        if (btn.checked) {
            for (i = 0; i < document.all("memberCheck").length; i++) {
                document.all("memberCheck")[i].checked = "checked";
            }
        }
        else {
            for (i = 0; i < document.all("memberCheck").length; i++) {
                document.all("memberCheck")[i].checked = "";
            }
        }
    }

    //单选
    function checkMember(btn) {
        if (btn.checked) {
            var checkAll = true;
            for (i = 0; i < document.all("memberCheck").length; i++) {
                if (document.all("memberCheck")[i].checked == false) {
                    checkAll = false;
                }
            }

            if (checkAll) {
                document.getElementById("memberCheckAll").checked = true;
            }
        }
        else {
            document.getElementById("memberCheckAll").checked = false;
        }
    }

    var deleteById = function (selectedId) {
        /*
         id为空则是多选  判断是否为空
         为空 提示选择
         不为空 确认后删除
         不为空单选确认后删除
         */
        if (selectedId == "") {
            for (i = 0; i < document.getElementsByName('memberCheck').length; i++) {
                if (document.getElementsByName('memberCheck')[i].checked) {
                    selectedId += document.getElementsByName('memberCheck')[i].value + ",";
                }
            }

            var str = "";
            if (selectedId != "") {
                str = selectedId.split(",");

                if (str[str.length - 1] == "") {
                    selectedId = selectedId.substring(0, selectedId.length - 1);
                }
            }
        }

        if (selectedId == "") {
            House365Util.createModal("删除公告", "请至少选择一条公告!", function () {
            });
        }
        else {
            House365Util.createModal("删除公告", "确定要删除该公告？", function () {
                $.ajax({
                    url: '${ctx}/citydepconfig/' + selectedId,
                    type: "DELETE",
                    success: function () {
                        window.location.reload();
                    }
                });
            });
        }

    };

</script>
</body>
</html>
